/****************************************************************
**
** Definition of main class
**
** This software is released under the GPL General Public License,
** see COPYING for details.
**
****************************************************************/

#ifndef MAIN_H
#define MAIN_H

#include <qapplication.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qmessagebox.h>
#include <qwidget.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qscrollbar.h>
#include <qspinbox.h>
#include <qaccel.h>
#include <qfile.h>

#include "gantt.h"

#define MINDAYPIX 1
#define MAXDAYPIX 40

class MainWidget : public QWidget
	{
	Q_OBJECT	// because MainWidget contains slots
	public:
		MainWidget( char *filenamearg, QWidget *parent=0, const char *name=0 );
	protected:
		void resizeEvent( QResizeEvent * );
	private:
		QFrame *frame;
		Gantt *gantt;
		QScrollBar *scrolltextpix;
		QSpinBox *spindaypix;
		QAccel *f5acc;
		QAccel *plusacc;
		QAccel *minusacc;
		QMenuBar *_menubar;
		QPopupMenu *_filemenu;
		QPopupMenu *_viewmenu;
		QPopupMenu *_options;
		QPopupMenu *_helpmenu;
		int weekdetailID;
		bool isWeekdetail;
		int frameT, frameY, frameW; // unimportant positioning stuff
		// frameT is the thickness of the frame; frameY is where it is
		// positioned vertically

	private slots:
		void slotAbout();
		void slottoggleweekdetail();
		void slotzoomIn();
		void slotzoomOut();
	};

#endif // MAIN_H
